# Generated by Django 3.2 on 2023-10-22 17:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0030_datapemerintahan'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPosyandu',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('nama', models.TextField(null=True)),
                ('kader', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
        migrations.CreateModel(
            name='dataKesehatan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('putu', models.TextField(null=True)),
                ('status_puskesmas', models.CharField(default='Rawat Inap', max_length=500)),
                ('kondisi_puskesmas', models.CharField(default='Baik', max_length=500)),
                ('dok_spesialis', models.IntegerField(null=True)),
                ('dok_umum', models.IntegerField(null=True)),
                ('dok_gigi', models.IntegerField(null=True)),
                ('perawat', models.IntegerField(null=True)),
                ('bidan', models.IntegerField(null=True)),
                ('tenaga_promkes', models.IntegerField(null=True)),
                ('tenaga_sanitasi', models.IntegerField(null=True)),
                ('apoteker', models.IntegerField(null=True)),
                ('tenaga_lab', models.IntegerField(null=True)),
                ('jml_rumah_dinas', models.IntegerField(null=True)),
                ('jml_balita', models.IntegerField(null=True)),
                ('jml_balita_dipantau', models.IntegerField(null=True)),
                ('jml_ibu_hamil', models.IntegerField(null=True)),
                ('jml_ibu_hamil_pantau', models.IntegerField(null=True)),
                ('jml_kematian_ibu_hamil', models.IntegerField(null=True)),
                ('jml_kematian_ibu_hamil_melahirkan', models.IntegerField(null=True)),
                ('jml_kematian_bayi', models.IntegerField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
